| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::ChannelsCompensator Class Reference
Images stitching » Exposure Compensation

Exposure compensator which tries to remove exposure related artifacts by adjusting image intensities on each channel independently. More...

`#include <opencv2/stitching/detail/exposure_compensate.hpp>`

Collaboration diagram for cv::detail::ChannelsCompensator:

## Public Member Functions
| ChannelsCompensator (int nr_feeds=1)
void | apply (int index, Point corner, InputOutputArray image, InputArray mask) CV_OVERRIDE
| Compensate exposure in the specified image.
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< std::pair< UMat, uchar > > &masks) CV_OVERRIDE
std::vector< Scalar > | gains () const
void | getMatGains (std::vector< Mat > &umv) CV_OVERRIDE
int | getNrFeeds ()
double | getSimilarityThreshold () const
void | setMatGains (std::vector< Mat > &umv) CV_OVERRIDE
void | setNrFeeds (int nr_feeds)
void | setSimilarityThreshold (double similarity_threshold)
Public Member Functions inherited from cv::detail::ExposureCompensator
| ExposureCompensator ()
virtual | ~ExposureCompensator ()
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< UMat > &masks)
bool | getUpdateGain ()
void | setUpdateGain (bool b)

## Additional Inherited Members
Public Types inherited from cv::detail::ExposureCompensator
enum | { NO , GAIN , GAIN_BLOCKS , CHANNELS , CHANNELS_BLOCKS }
Static Public Member Functions inherited from cv::detail::ExposureCompensator
static Ptr< ExposureCompensator > | createDefault (int type)
Protected Attributes inherited from cv::detail::ExposureCompensator
bool | updateGain

## Detailed Description

Exposure compensator which tries to remove exposure related artifacts by adjusting image intensities on each channel independently.

Examples
  samples/cpp/stitching_detailed.cpp.

## Constructor & Destructor Documentation

## ◆ ChannelsCompensator()

cv::detail::ChannelsCompensator::ChannelsCompensator | ( | int | nr_feeds = 1 | ) |
| inline

Python:
| cv.detail.ChannelsCompensator( | [, nr_feeds] | ) -> | <detail_ChannelsCompensator object>

## Member Function Documentation

## ◆ apply()

void cv::detail::ChannelsCompensator::apply | ( | int | index,
|  | Point | corner,
|  | InputOutputArray | image,
|  | InputArray | mask )
| virtual

Python:
| cv.detail.ChannelsCompensator.apply( | index, corner, image, mask | ) -> | image

Compensate exposure in the specified image.

Parameters

  index | Image index
  corner | Image top-left corner
  image | Image to process
  mask | Image mask

Implements cv::detail::ExposureCompensator.

## ◆ feed()

void cv::detail::ChannelsCompensator::feed | ( | const std::vector< Point > & | corners,
|  | const std::vector< UMat > & | images,
|  | const std::vector< std::pair< UMat, uchar > > & | masks )
| virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Implements cv::detail::ExposureCompensator.

## ◆ gains()

std::vector< Scalar > cv::detail::ChannelsCompensator::gains | ( |  | ) | const
| inline

## ◆ getMatGains()

void cv::detail::ChannelsCompensator::getMatGains | ( | std::vector< Mat > & | umv | ) |
| virtual

Python:
| cv.detail.ChannelsCompensator.getMatGains( | [, umv] | ) -> | umv

Reimplemented from cv::detail::ExposureCompensator.

## ◆ getNrFeeds()

int cv::detail::ChannelsCompensator::getNrFeeds | ( |  | ) |
| inline

Python:
| cv.detail.ChannelsCompensator.getNrFeeds( |  | ) -> | retval

## ◆ getSimilarityThreshold()

double cv::detail::ChannelsCompensator::getSimilarityThreshold | ( |  | ) | const
| inline

Python:
| cv.detail.ChannelsCompensator.getSimilarityThreshold( |  | ) -> | retval

## ◆ setMatGains()

void cv::detail::ChannelsCompensator::setMatGains | ( | std::vector< Mat > & | umv | ) |
| virtual

Python:
| cv.detail.ChannelsCompensator.setMatGains( | umv | ) -> | None

Reimplemented from cv::detail::ExposureCompensator.

## ◆ setNrFeeds()

void cv::detail::ChannelsCompensator::setNrFeeds | ( | int | nr_feeds | ) |
| inline

Python:
| cv.detail.ChannelsCompensator.setNrFeeds( | nr_feeds | ) -> | None

Examples
  samples/cpp/stitching_detailed.cpp.

## ◆ setSimilarityThreshold()

void cv::detail::ChannelsCompensator::setSimilarityThreshold | ( | double | similarity_threshold | ) |
| inline

Python:
| cv.detail.ChannelsCompensator.setSimilarityThreshold( | similarity_threshold | ) -> | None

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/exposure_compensate.hpp